__gnu_parallel::__count_if_selector< _It, _Diff > Struct Template Reference
Inheritance diagram for __gnu_parallel::__count_if_selector< _It, _Diff >:
[legend]

## Public Member Functions

template<typename _Op >
_Diff | operator() (_Op &__o, _It __i)

## Public Attributes

_It | _M_finish_iterator

## Detailed Description

### template<typename _It, typename _Diff>
struct __gnu_parallel::__count_if_selector< _It, _Diff >

std::count_if () selector.

Definition at line 194 of file for_each_selectors.h.

## Member Function Documentation

template<typename _It , typename _Diff >
template<typename _Op >

_Diff __gnu_parallel::__count_if_selector< _It, _Diff >::operator() | ( | _Op & | __o,
|  | _It | __i
| ) |  |

inline

Functor execution.

Parameters

  __o | Operator.
  __i | iterator referencing object.

Returns
  1 if count, 0 if does not count.

Definition at line 202 of file for_each_selectors.h.

## Member Data Documentation

template<typename _It >

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

inherited

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h